#include <bits/stdc++.h>
#define MAXN 100010
using namespace std;
int main()
{
    int n;
    cin>>n;
	float a[MAXN],p[MAXN],k[MAXN],suma;
	suma=0;
    for(int i=0;i<n;i++)
    {
    	cin>>a[i]>>p[i];
    	suma=suma+a[i];
	}	
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<n;j++)
		{
			if(p[j]>p[i])
			{
				swap(p[j],p[i]);
				swap(a[j],a[i]);
			}
		}
	}
	for(int i=0;i<n;i++)
	{
		k[i]=p[i]*suma;
		suma=suma-a[i];
		
	}
	sort(k,k+n);
	cout<<fixed<<setprecision(4)<<k[n-1]/100<<endl;
	return 0;
}